QueueSession
Date: 2015-09-19

javax.jms

## Interface QueueSession

- All Superinterfaces:
    java.lang.Runnable, Session

      public interface QueueSession
      extends Session

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Session

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueBrowser` | `createBrowser(Queue queue)`
    `QueueBrowser` | `createBrowser(Queue queue, java.lang.String messageSelector)`
    `Queue` | `createQueue(java.lang.String queueName)`
    `QueueReceiver` | `createReceiver(Queue queue)`
    `QueueReceiver` | `createReceiver(Queue queue, java.lang.String messageSelector)`
    `QueueSender` | `createSender(Queue queue)`
    `TemporaryQueue` | `createTemporaryQueue()`

    - ### Methods inherited from interface javax.jms.Session

      `close, commit, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createStreamMessage, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener, unsubscribe`

- - ### Method Detail

    - #### createQueue

          Queue createQueue(java.lang.String queueName)
                            throws JMSException

      Specified by:
        `createQueue` in interface `Session`
      Throws:
        `JMSException`

    - #### createReceiver

          QueueReceiver createReceiver(Queue queue)
                                       throws JMSException

      Throws:
        `JMSException`

    - #### createReceiver

          QueueReceiver createReceiver(Queue queue,
                                     java.lang.String messageSelector)
                                       throws JMSException

      Throws:
        `JMSException`

    - #### createSender

          QueueSender createSender(Queue queue)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### createBrowser

          QueueBrowser createBrowser(Queue queue)
                                     throws JMSException

      Specified by:
        `createBrowser` in interface `Session`
      Throws:
        `JMSException`

    - #### createBrowser

          QueueBrowser createBrowser(Queue queue,
                                   java.lang.String messageSelector)
                                     throws JMSException

      Specified by:
        `createBrowser` in interface `Session`
      Throws:
        `JMSException`

    - #### createTemporaryQueue

          TemporaryQueue createTemporaryQueue()
                                              throws JMSException

      Specified by:
        `createTemporaryQueue` in interface `Session`
      Throws:
        `JMSException`